package jp.co.sds_corp.test.applet;

import java.applet.Applet;
import java.applet.AppletContext;
import java.applet.AudioClip;
import java.awt.Desktop;
import java.awt.Image;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;

public class AppletContextStub implements AppletContext
{
	List<Applet> list = new ArrayList<Applet>();
	Applet applet;

	AppletContextStub(Applet applet) {
		this.applet = applet;
		list.add(applet);
	}

	@Override
	public Applet getApplet(String name) {
		return applet;
	}

	@Override
	public Enumeration<Applet> getApplets() {
		return Collections.enumeration(list);
	}

	@Override
	public AudioClip getAudioClip(URL url) {
		return null;
	}

	@Override
	public Image getImage(URL url) {
		return null;
	}

	@Override
	public InputStream getStream(String key) {
		return null;
	}

	@Override
	public Iterator<String> getStreamKeys() {
		return null;
	}

	@Override
	public void setStream(String key, InputStream stream)
			throws IOException {
	}

	@Override
	public void showDocument(URL url) {
		try {
			Desktop desktop = Desktop.getDesktop();
			desktop.browse(url.toURI());
		} catch (Exception ex) {
			throw(new RuntimeException("browse error", ex));
		}
	}

	@Override
	public void showDocument(URL url, String target) {
		try {
			Desktop desktop = Desktop.getDesktop();
			desktop.browse(url.toURI());
		} catch (Exception ex) {
			throw(new RuntimeException("browse error", ex));
		}
	}

	@Override
	public void showStatus(String status) {
	}

}

